@rem ******************************************************************************
@rem 
@rem   Open Source Copyright Notice and License: FIPA-OS
@rem 
@rem   1. The programs and other works made available to you in these files ("the
@rem      Programs") are Copyright (c) 1999 - 2000 Nortel Networks Corporation, 
@rem      8200 Dixie Road, Suite 100, Brampton, Ontario, Canada L6R 5P6.  
@rem      All rights reserved.
@rem 
@rem   2. Your rights to copy, distribute and modify the Programs are as set out in
@rem      the Nortel Networks FIPA-OS Public License, a copy of which can be found
@rem      in file "Nortel_FIPA_OS_Public_Licence.txt" and the latest version can
@rem      also be found at http://fipa-os.sourceforge.net/. By downloading the
@rem      files containing the Programs you accept the terms and  conditions of the
@rem      Public License. You do not have to accept these terms and conditions, but
@rem      unless you do so you have no rights to use the Programs.
@rem 
@rem   The Original Code is Nortel Networks' FIPA-OS (Foundation for Intelligent
@rem   Physical Agents - Open Source).
@rem 
@rem   The Initial Developer of the Original Code is Nortel Networks Corporation.
@rem   Portions created by Nortel Networks Corporation or its subsidiaries are
@rem   Copyright (c) 1999 - 2000 Nortel Networks Corporation. All Rights Reserved.
@rem 
@rem   Contributor(s):
@rem   (add contributor names here)
@rem 
@rem ******************************************************************************

@echo off
SET JDK=C:\jdk1.3.1
SET PATH=%JDK%\bin;"%PATH%"
rem
rem Strings.com is a freeware program that we will use to assign an equal sign
rem character to the EQUAL environment variable.
rem
strings /Q EQUAL=RIGHT =,1
rem
rem By default, the Java Virtual Machine is set to run at full performance with line number debugging disabled
rem If you would like line number output in stack traces for debugging purposes then you will need to disable
rem Just In Time (JIT) compilation or HotSpot
rem
rem to disable JIT use NOJIT=-Djava.compiler%EQUAL%NONE 
rem to disable HotSpot use NOJIT=-classic -Djava.compiler%EQUAL%NONE
rem
SET NOJIT=
rem
rem FIPA-OS specific variables
rem --------------------------
rem The location of the FIPA-OS installation
SET FIPAOS=C:\Source\FIPA-OS
rem
rem The version of FIPAOS to use (allows for multiple versions of FIPA-OS to be installed
rem in the same location)
SET FIPAOS_VER=2_1_0
rem
rem Use an empty string for no debug. Use _debug for debugging output
SET DEBUGVER=_debug
rem
rem The level of debug to store in memory (1-5)
SET DBG_LVL_MEM=3
rem
rem The level of debug to write to the diagnostics file (1-5)
SET DBG_LVL_FILE=1
rem
rem Use the GUI on the AgentLoader. Use -nogui to disable.
SET LOADER_GUI=
rem
rem The location of the default platform profile (can be a local filename or a URL)
rem If this variable is already set when calling this .bat file, this value will not be used
SET PLATFORM=%FIPAOS%\profiles\platform.profile
rem
rem Location of third-party JAR's
rem -----------------------------
rem The location of the XML / RDF parser classes
rem
SET IMPORTS=%FIPAOS%\imports
rem
rem END OF CONFIGURATION SETTINGS - DO NOT EDIT BELOW THIS LINE
rem -----------------------------------------------------------
rem
IF "%NOJIT%" == "" GOTO jitunspec
set COMPILER_OPTIONS=%NOJIT% -Ddebug.level.memory%EQUAL%%DBG_LVL_MEM% -Ddebug.level.file%EQUAL%%DBG_LVL_FILE%
GOTO jitspec
:jitunspec
set COMPILER_OPTIONS=-Ddebug.level.memory%EQUAL%%DBG_LVL_MEM% -Ddebug.level.file%EQUAL%%DBG_LVL_FILE% -Dfipaos.home%EQUAL%%FIPAOS% -Dfipaos.version%EQUAL%%FIPAOS_VER%
:jitspec
rem
rem Setup classpath given the setup information above
SET classpath=
rem
rem Add everything in 3rd party imports directory to classpath
rem
for %%i in (%IMPORTS%\*.jar) do call addtoclasspath.bat %%i
for %%i in (%IMPORTS%\*.zip) do call addtoclasspath.bat %%i
rem
rem Add FIPA-OS classes to classpath
rem
SET classpath=%FIPAOS%\classes;%FIPAOS%\classes\FIPA_OSv%FIPAOS_VER%%DEBUGVER%.jar;%CLASSPATH%
:end
rem Remove all unnecessary environment variables
set IMPORTS=
