//******************************************************************************
//
//  Open Source Copyright Notice and License: FIPA-OS
//
//  The contents of this file are subject to the Emorphia Public License (the 
//  "License"); you may not use this file except in compliance with the License.
//  You may obtain a copy of the License at http://www.emorphia.com/EPL/
//
//  Software distributed under the License is distributed on an "AS IS" basis, 
//  WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License 
//  for the specific language governing rights and limitations under the
//  License.
//
//  The Original Code is FIPA-OS.
//
//  The Initial Developer of the Original Code is Emorphia.
//
//  Portions created by Emorphia are Copyright (C) 2001 Emorphia Limited
//  licensed under the Emorphia Public License, available at
//  http://www.emorphia.com/EPL/.
//
//  All Rights Reserved.
//
//  Contributor(s):
//  (add contributor names here)
//
//******************************************************************************

package fipaos.tool.configurator;

import java.util.*;

public interface ScriptVars
{
	// StartFIPAOS script variable names
	public static final String STARTFIPAOS_RMINSPORT = "RMINSPORT";
	public static final String STARTFIPAOS_IIOPNSPORT = "IIOPNSPORT";
	public static final String STARTFIPAOS_SSLRMINSPORT = "SSLRMINSPORT";
	public static final String STARTFIPAOS_STARTRMINS = "STARTRMINS";
	public static final String STARTFIPAOS_STARTIIOPNS = "STARTIIOPNS";
	public static final String STARTFIPAOS_STARTSSLRMINS = "STARTSSLRMINS";
	public static final String STARTFIPAOS_STARTACC = "STARTACC";
	public static final List STARTFIPAOS_VARS = Arrays.asList( new String[] {
		STARTFIPAOS_RMINSPORT, STARTFIPAOS_IIOPNSPORT, STARTFIPAOS_SSLRMINSPORT,
		STARTFIPAOS_STARTRMINS, STARTFIPAOS_STARTIIOPNS, STARTFIPAOS_STARTSSLRMINS,
		STARTFIPAOS_STARTACC } );
	
	// SetupFIPAOS script variable names
	public static final String SETUPFIPAOS_JDK 		= "JDK";
	public static final String SETUPFIPAOS_FIPAOS_VER 	= "FIPAOS_VER";
	public static final String SETUPFIPAOS_DEBUGVER 	= "DEBUGVER";
	public static final String SETUPFIPAOS_PLATFORM 	= "PLATFORM";
	public static final String SETUPFIPAOS_NOJIT		= "NOJIT";
	public static final String SETUPFIPAOS_DBG_LVL_MEM	= "DBG_LVL_MEM";
	public static final String SETUPFIPAOS_DBG_LVL_FILE = "DBG_LVL_FILE";
	public static final String SETUPFIPAOS_LOADER_GUI	= "LOADER_GUI";
	public static final String SETUPFIPAOS_FIPAOS		= "FIPAOS";	
	public static final List SETUPFIPAOS_VARS = Arrays.asList( new String[] {
		SETUPFIPAOS_JDK, SETUPFIPAOS_FIPAOS_VER, SETUPFIPAOS_DEBUGVER, SETUPFIPAOS_PLATFORM,
		SETUPFIPAOS_NOJIT, SETUPFIPAOS_DBG_LVL_MEM, SETUPFIPAOS_DBG_LVL_FILE,
		SETUPFIPAOS_LOADER_GUI, SETUPFIPAOS_FIPAOS } );

	public static final Integer JIT_NORMAL = new Integer( 0 );
	public static final Integer JIT_NOJIT = new Integer( 1 );
	public static final Integer JIT_NOHOTSPOT = new Integer( 2 );
	
	public static final Integer DEBUG_LVL_DEFAULT = new Integer( 3 );
		
	// SetupFIPAOS script variable values
	public static final String JIT_VAL1 = "";
	public static final String JIT_VAL2 = "-Djava.compiler=NONE";
	public static final String JIT_VAL3 = "-classic -Djava.compiler=NONE";

	public static final String DEBUG_VAL1 = "_debug";
	public static final String DEBUG_VAL2 = "";
	
	public static final String LOADER_GUI_VAL1 = "";
	public static final String LOADER_GUI_VAL2 = "-nogui";
	
	public static String DBG_LVL_VAL1	= "1";
	public static String DBG_LVL_VAL2	= "2";
	public static String DBG_LVL_VAL3	= "3";
	public static String DBG_LVL_VAL4	= "4";
	public static String DBG_LVL_VAL5	= "5";
	public static final List SETUPFIPAOS_VALS = Arrays.asList( new String[] {
		JIT_VAL1, JIT_VAL2, JIT_VAL3, 
		DEBUG_VAL1, DEBUG_VAL2,
		LOADER_GUI_VAL1, LOADER_GUI_VAL2,
		DBG_LVL_VAL1, DBG_LVL_VAL2, DBG_LVL_VAL3, DBG_LVL_VAL4, DBG_LVL_VAL5 } );
}

